/*
 * buttons.h
 *
 *  Created on: 24.03.2018
 *      Author: Rafa
 */

#ifndef BUTTONS_H_
#define BUTTONS_H_

#define BUTTONS	5

enum button_state {
	BUTTON_STATE_INIT,
	BUTTON_STATE_CALIBRATE,
	BUTTON_STATE_RELEASE,
	BUTTON_STATE_DEB_DETECT,
	BUTTON_STATE_DETECT,
	BUTTON_STATE_DEB_RELEASE,
};

struct button {
	enum button_state state;
	uint32_t port;
	uint32_t group;

	uint32_t value;
	uint32_t no_touch_value;
	uint32_t counter;
	uint8_t clicked;
	uint8_t unclicked;
};

extern struct button *buttons[BUTTONS];

void states_all(void);
void measure_all(void);

#endif /* BUTTONS_H_ */
